﻿using System.Linq;
using System.Threading;
using System.Threading.Tasks;

namespace OpenHarbor.CQRS.DynamicQuery.Abstractions;

public interface IQueryableProvider<TSource>
{
    Task<IQueryable<TSource>> GetQueryableAsync(object query, CancellationToken cancellationToken = default);
}